Bug 663335 - No audio/video support
Summary: No audio/video support
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gajim
Version: 19
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Schmidt
QA Contact: Fedora Extras Quality Assurance
URL: http://trac.gajim.org/ticket/6117
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-15 13:12 UTC by Pavel Alexeev
Modified: 2018-04-11 09:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-17 16:54:34 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2010-12-15 13:12:11 UTC
Description of problem:
In recent versions of gajim Audio/video support appeared (http://gajim.org/index.php?lang=en ). And after some updates I found such buttons in chat window. But unfortunately both is disabled and inactive. In settings also no mentions about such support.

Version-Release number of selected component (if applicable):
$ rpm -q gajim
gajim-0.14.1-3.fc14.noarch

How reproducible:
Always

Comment 1 Michal Schmidt 2010-12-15 15:16:14 UTC
Does Help->Features show "Audio/Video" as available?
Whether the buttons are enabled also depends on the capabilities advertised by the other side's client. What client is the other side using?

Comment 2 Pavel Alexeev 2010-12-15 18:11:50 UTC
Yes, in futures it is listed and bold dot present (I think it is mean enabled).

I even especially ask other side use Gajim 0.14.1 - with no success.
And for others, I never seen it working.

Comment 3 Michal Schmidt 2010-12-20 15:11:00 UTC
Assuming the dialog on the other side also shows the "Audio/Video" checkbox as enabled and as long as there are no obvious error messages anywhere, I'd expect the buttons to be enabled. 

I don't know how to debug this.

The audio/video functionality of Gajim is something I never use and, frankly, I am not interested in it (I'd welcome a co-maintainer who would be).

I recommend you try to resolve this bug with the upstream maintainers.
There are several contact possibilities:
 - Jabber MUC gajim.org
 - mailing list http://lists.gajim.org/cgi-bin/listinfo/gajim-devel
 - bugtracker at http://trac.gajim.org/

Comment 4 Matěj Cepl 2010-12-21 16:36:30 UTC
A/V works for me with packages from http://mcepl.fedorapeople.org/rpms/

Comment 5 Michal Schmidt 2010-12-21 17:20:44 UTC
Matěj,
and what about the version currently in Fedora? Does that work for you too? Or are you saying that the 0.15 snapshot is necessary for this functionality?

Comment 6 Pavel Alexeev 2010-12-21 17:49:38 UTC
I can say what in that version at least correct shown tabs in KDE :)
I can't understand situation with audio/video until.

Comment 7 Pavel Alexeev 2010-12-21 18:20:25 UTC
I have fill upstream bug: http://trac.gajim.org/ticket/6117

So, I think this one may be closed as UPSTREAM now.

Michal thank you in any case.

P.S. And if need help, please say, I think I can co-maintain it.

Comment 8 Fedora End Of Life 2012-08-16 19:34:07 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Pavel Alexeev 2012-08-26 15:08:40 UTC
Still does not worked.

Comment 10 Fedora End Of Life 2013-07-04 06:52:04 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Michal Schmidt 2013-12-17 16:54:34 UTC
I see that Gajim 0.16 Beta claims "Improve audio / video calls" as one of the features. It may worth retesting.

In any case, tracking this bug in Fedora Bugzilla brings no benefit. The bug has been reported to upstream and the fix needs to come from there.


Note You need to log in before you can comment on or make changes to this bug.